summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2021-06-20 10:39:37 +0200
committerMichał Górny <mgorny@gentoo.org>2021-06-23 23:44:19 +0200
commite7dcb0835c0fe8b1927d5d5c6f4a181d861e3e87 (patch)
tree0adecb16cdcf497db29d1660835d41eda8bebfb3 /eclass
parentpython-r1.eclass: Remove obsolete QA hack for PYTHON_USEDEP (diff)
downloadgentoo-e7dcb0835c0fe8b1927d5d5c6f4a181d861e3e87.tar.gz
gentoo-e7dcb0835c0fe8b1927d5d5c6f4a181d861e3e87.tar.bz2
gentoo-e7dcb0835c0fe8b1927d5d5c6f4a181d861e3e87.zip
python-r1.eclass: Ban python_gen_usedep in EAPI 8
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'eclass')
-rw-r--r--eclass/python-r1.eclass1
1 files changed, 1 insertions, 0 deletions
diff --git a/eclass/python-r1.eclass b/eclass/python-r1.eclass
index 539076b5f748..d464d3ef8f8a 100644
--- a/eclass/python-r1.eclass
+++ b/eclass/python-r1.eclass
@@ -358,6 +358,7 @@ python_gen_usedep() {
if [[ ${EBUILD_PHASE} == setup ]]; then
eqawarn "python_gen_usedep() is deprecated. Please use python_gen_cond_dep instead."
fi
+ [[ ${EAPI} == [67] ]] || die "${FUNCNAME} banned in EAPI ${EAPI}"
_python_gen_usedep "${@}"
}